## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.InternalSettingDelegateMany

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateMany

All Implemented Interfaces:
  EStructuralFeature.Internal.SettingDelegate

Enclosing class:
  EStructuralFeatureImpl

    public static class EStructuralFeatureImpl.InternalSettingDelegateMany

extends java.lang.Object
implements EStructuralFeature.Internal.SettingDelegate

Field Summary
`static int` `CONTAINMENT`
`static int` `CONTAINMENT_DYNAMIC`
`static int` `CONTAINMENT_DYNAMIC_RESOLVE`
`static int` `CONTAINMENT_INVERSE`
`static int` `CONTAINMENT_INVERSE_DYNAMIC`
`static int` `CONTAINMENT_INVERSE_DYNAMIC_RESOLVE`
`static int` `CONTAINMENT_INVERSE_RESOLVE`
`static int` `CONTAINMENT_INVERSE_UNSETTABLE`
`static int` `CONTAINMENT_INVERSE_UNSETTABLE_DYNAMIC`
`static int` `CONTAINMENT_INVERSE_UNSETTABLE_DYNAMIC_RESOLVE`
`static int` `CONTAINMENT_INVERSE_UNSETTABLE_RESOLVE`
`static int` `CONTAINMENT_RESOLVE`
`static int` `CONTAINMENT_UNSETTABLE`
`static int` `CONTAINMENT_UNSETTABLE_DYNAMIC`
`static int` `CONTAINMENT_UNSETTABLE_DYNAMIC_RESOLVE`
`static int` `CONTAINMENT_UNSETTABLE_RESOLVE`
`static int` `DATA`
`static int` `DATA_DYNAMIC`
`static int` `DATA_UNIQUE`
`static int` `DATA_UNIQUE_DYNAMIC`
`static int` `DATA_UNIQUE_UNSETTABLE`
`static int` `DATA_UNIQUE_UNSETTABLE_DYNAMIC`
`static int` `DATA_UNSETTABLE`
`static int` `DATA_UNSETTABLE_DYNAMIC`
`protected java.lang.Class<?>` `dataClass`
`protected int` `dynamicKind`
`static int` `EMAP`
`static int` `EMAP_UNSETTABLE`
`static int` `EOBJECT`
`static int` `EOBJECT_DYNAMIC`
`static int` `EOBJECT_RESOLVE`
`static int` `EOBJECT_RESOLVE_DYNAMIC`
`static int` `EOBJECT_RESOLVE_UNSETTABLE`
`static int` `EOBJECT_RESOLVE_UNSETTABLE_DYNAMIC`
`static int` `EOBJECT_UNSETTABLE`
`static int` `EOBJECT_UNSETTABLE_DYNAMIC`
`protected EStructuralFeature` `feature`
`static int` `FEATURE_MAP`
`static int` `INVERSE`
`static int` `INVERSE_DYNAMIC`
`static int` `INVERSE_RESOLVE`
`static int` `INVERSE_RESOLVE_DYNAMIC`
`static int` `INVERSE_RESOLVE_UNSETTABLE`
`static int` `INVERSE_RESOLVE_UNSETTABLE_DYNAMIC`
`static int` `INVERSE_UNSETTABLE`
`static int` `INVERSE_UNSETTABLE_DYNAMIC`
`protected EReference` `inverseFeature`
`static int` `MANY_INVERSE`
`static int` `MANY_INVERSE_DYNAMIC`
`static int` `MANY_INVERSE_RESOLVE`
`static int` `MANY_INVERSE_RESOLVE_DYNAMIC`
`static int` `MANY_INVERSE_RESOLVE_UNSETTABLE`
`static int` `MANY_INVERSE_RESOLVE_UNSETTABLE_DYNAMIC`
`static int` `MANY_INVERSE_UNSETTABLE`
`static int` `MANY_INVERSE_UNSETTABLE_DYNAMIC`
`protected int` `style`

Constructor Summary
`EStructuralFeatureImpl.InternalSettingDelegateMany(int style, java.lang.Class<?> dataClass, EStructuralFeature feature)`
`EStructuralFeatureImpl.InternalSettingDelegateMany(int style, java.lang.Class<?> dataClass, EStructuralFeature feature, EReference inverseFeature)`
`EStructuralFeatureImpl.InternalSettingDelegateMany(int style, EStructuralFeature feature)`
`EStructuralFeatureImpl.InternalSettingDelegateMany(int style, EStructuralFeature feature, EReference inverseFeature)`

Method Summary
`protected EStructuralFeature.Setting` `createDynamicSetting(InternalEObject owner)`
`java.lang.Object` `dynamicGet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, boolean resolve, boolean coreType)` Returns the value of the feature of this owner.
`NotificationChain` `dynamicInverseAdd(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, InternalEObject otherEnd, NotificationChain notifications)` Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.
`NotificationChain` `dynamicInverseRemove(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, InternalEObject otherEnd, NotificationChain notifications)` Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.
`boolean` `dynamicIsSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Returns whether the feature of the owner is considered to be set.
`void` `dynamicSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, java.lang.Object newValue)` Sets the value of the given feature of the owner to the new value.
`EStructuralFeature.Setting` `dynamicSetting(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Returns a setting that can be used to access the owner's feature.
`void` `dynamicUnset(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Unsets the value of the given feature of the owner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTAINMENT_UNSETTABLE_DYNAMIC

    public static final int CONTAINMENT_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### CONTAINMENT_UNSETTABLE

    public static final int CONTAINMENT_UNSETTABLE

See Also:
  Constant Field Values

### CONTAINMENT_DYNAMIC

    public static final int CONTAINMENT_DYNAMIC

See Also:
  Constant Field Values

### CONTAINMENT

    public static final int CONTAINMENT

See Also:
  Constant Field Values

### CONTAINMENT_INVERSE_UNSETTABLE_DYNAMIC

    public static final int CONTAINMENT_INVERSE_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### CONTAINMENT_INVERSE_UNSETTABLE

    public static final int CONTAINMENT_INVERSE_UNSETTABLE

See Also:
  Constant Field Values

### CONTAINMENT_INVERSE_DYNAMIC

    public static final int CONTAINMENT_INVERSE_DYNAMIC

See Also:
  Constant Field Values

### CONTAINMENT_INVERSE

    public static final int CONTAINMENT_INVERSE

See Also:
  Constant Field Values

### DATA_UNIQUE_UNSETTABLE_DYNAMIC

    public static final int DATA_UNIQUE_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### DATA_UNIQUE_UNSETTABLE

    public static final int DATA_UNIQUE_UNSETTABLE

See Also:
  Constant Field Values

### DATA_UNIQUE_DYNAMIC

    public static final int DATA_UNIQUE_DYNAMIC

See Also:
  Constant Field Values

### DATA_UNIQUE

    public static final int DATA_UNIQUE

See Also:
  Constant Field Values

### DATA_UNSETTABLE_DYNAMIC

    public static final int DATA_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### DATA_UNSETTABLE

    public static final int DATA_UNSETTABLE

See Also:
  Constant Field Values

### DATA_DYNAMIC

    public static final int DATA_DYNAMIC

See Also:
  Constant Field Values

### DATA

    public static final int DATA

See Also:
  Constant Field Values

### EOBJECT_RESOLVE_UNSETTABLE_DYNAMIC

    public static final int EOBJECT_RESOLVE_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### EOBJECT_RESOLVE_UNSETTABLE

    public static final int EOBJECT_RESOLVE_UNSETTABLE

See Also:
  Constant Field Values

### EOBJECT_RESOLVE_DYNAMIC

    public static final int EOBJECT_RESOLVE_DYNAMIC

See Also:
  Constant Field Values

### EOBJECT_RESOLVE

    public static final int EOBJECT_RESOLVE

See Also:
  Constant Field Values

### EOBJECT_UNSETTABLE_DYNAMIC

    public static final int EOBJECT_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### EOBJECT_UNSETTABLE

    public static final int EOBJECT_UNSETTABLE

See Also:
  Constant Field Values

### EOBJECT_DYNAMIC

    public static final int EOBJECT_DYNAMIC

See Also:
  Constant Field Values

### EOBJECT

    public static final int EOBJECT

See Also:
  Constant Field Values

### MANY_INVERSE_RESOLVE_UNSETTABLE_DYNAMIC

    public static final int MANY_INVERSE_RESOLVE_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### MANY_INVERSE_RESOLVE_UNSETTABLE

    public static final int MANY_INVERSE_RESOLVE_UNSETTABLE

See Also:
  Constant Field Values

### MANY_INVERSE_RESOLVE_DYNAMIC

    public static final int MANY_INVERSE_RESOLVE_DYNAMIC

See Also:
  Constant Field Values

### MANY_INVERSE_RESOLVE

    public static final int MANY_INVERSE_RESOLVE

See Also:
  Constant Field Values

### MANY_INVERSE_UNSETTABLE_DYNAMIC

    public static final int MANY_INVERSE_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### MANY_INVERSE_UNSETTABLE

    public static final int MANY_INVERSE_UNSETTABLE

See Also:
  Constant Field Values

### MANY_INVERSE_DYNAMIC

    public static final int MANY_INVERSE_DYNAMIC

See Also:
  Constant Field Values

### MANY_INVERSE

    public static final int MANY_INVERSE

See Also:
  Constant Field Values

### INVERSE_RESOLVE_UNSETTABLE_DYNAMIC

    public static final int INVERSE_RESOLVE_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### INVERSE_RESOLVE_UNSETTABLE

    public static final int INVERSE_RESOLVE_UNSETTABLE

See Also:
  Constant Field Values

### INVERSE_RESOLVE_DYNAMIC

    public static final int INVERSE_RESOLVE_DYNAMIC

See Also:
  Constant Field Values

### INVERSE_RESOLVE

    public static final int INVERSE_RESOLVE

See Also:
  Constant Field Values

### INVERSE_UNSETTABLE_DYNAMIC

    public static final int INVERSE_UNSETTABLE_DYNAMIC

See Also:
  Constant Field Values

### INVERSE_UNSETTABLE

    public static final int INVERSE_UNSETTABLE

See Also:
  Constant Field Values

### INVERSE_DYNAMIC

    public static final int INVERSE_DYNAMIC

See Also:
  Constant Field Values

### INVERSE

    public static final int INVERSE

See Also:
  Constant Field Values

### FEATURE_MAP

    public static final int FEATURE_MAP

See Also:
  Constant Field Values

### EMAP

    public static final int EMAP

See Also:
  Constant Field Values

### CONTAINMENT_UNSETTABLE_DYNAMIC_RESOLVE

    public static final int CONTAINMENT_UNSETTABLE_DYNAMIC_RESOLVE

See Also:
  Constant Field Values

### CONTAINMENT_UNSETTABLE_RESOLVE

    public static final int CONTAINMENT_UNSETTABLE_RESOLVE

See Also:
  Constant Field Values

### CONTAINMENT_DYNAMIC_RESOLVE

    public static final int CONTAINMENT_DYNAMIC_RESOLVE

See Also:
  Constant Field Values

### CONTAINMENT_RESOLVE

    public static final int CONTAINMENT_RESOLVE

See Also:
  Constant Field Values

### CONTAINMENT_INVERSE_UNSETTABLE_DYNAMIC_RESOLVE

    public static final int CONTAINMENT_INVERSE_UNSETTABLE_DYNAMIC_RESOLVE

See Also:
  Constant Field Values

### CONTAINMENT_INVERSE_UNSETTABLE_RESOLVE

    public static final int CONTAINMENT_INVERSE_UNSETTABLE_RESOLVE

See Also:
  Constant Field Values

### CONTAINMENT_INVERSE_DYNAMIC_RESOLVE

    public static final int CONTAINMENT_INVERSE_DYNAMIC_RESOLVE

See Also:
  Constant Field Values

### CONTAINMENT_INVERSE_RESOLVE

    public static final int CONTAINMENT_INVERSE_RESOLVE

See Also:
  Constant Field Values

### EMAP_UNSETTABLE

    public static final int EMAP_UNSETTABLE

See Also:
  Constant Field Values

### style

    protected int style

### dynamicKind

    protected int dynamicKind

### dataClass

    protected java.lang.Class<?> dataClass

### feature

    protected EStructuralFeature feature

### inverseFeature

    protected EReference inverseFeature

Constructor Detail

### EStructuralFeatureImpl.InternalSettingDelegateMany

    public EStructuralFeatureImpl.InternalSettingDelegateMany(int style,
                                                              java.lang.Class<?> dataClass,
                                                              EStructuralFeature feature)

### EStructuralFeatureImpl.InternalSettingDelegateMany

    public EStructuralFeatureImpl.InternalSettingDelegateMany(int style,
                                                              EStructuralFeature feature)

### EStructuralFeatureImpl.InternalSettingDelegateMany

    public EStructuralFeatureImpl.InternalSettingDelegateMany(int style,
                                                              java.lang.Class<?> dataClass,
                                                              EStructuralFeature feature,
                                                              EReference inverseFeature)

### EStructuralFeatureImpl.InternalSettingDelegateMany

    public EStructuralFeatureImpl.InternalSettingDelegateMany(int style,
                                                              EStructuralFeature feature,
                                                              EReference inverseFeature)

Method Detail

### createDynamicSetting

    protected EStructuralFeature.Setting createDynamicSetting(InternalEObject owner)

### dynamicSetting

    public EStructuralFeature.Setting dynamicSetting(InternalEObject owner,
                                                     EStructuralFeature.Internal.DynamicValueHolder settings,
                                                     int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns a setting that can be used to access the owner's feature.

  Specified by:
    `dynamicSetting` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  Returns:
    a setting that can be used to access the owner's feature.
  See Also:
    `InternalEObject.eSetting(EStructuralFeature)`

### dynamicGet

    public java.lang.Object dynamicGet(InternalEObject owner,
                                       EStructuralFeature.Internal.DynamicValueHolder settings,
                                       int index,
                                       boolean resolve,
                                       boolean coreType)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns the value of the feature of this owner.

  Specified by:
    `dynamicGet` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `resolve` - whether to resolve.
    `coreType` - return the core EMF object if value is a non-EMF wrapper/view.
  Returns:
    the value of the feature of this owner.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### dynamicSet

    public void dynamicSet(InternalEObject owner,
                           EStructuralFeature.Internal.DynamicValueHolder settings,
                           int index,
                           java.lang.Object newValue)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Sets the value of the given feature of the owner to the new value.

  Specified by:
    `dynamicSet` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `newValue` - the new value for the feature.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### dynamicUnset

    public void dynamicUnset(InternalEObject owner,
                             EStructuralFeature.Internal.DynamicValueHolder settings,
                             int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Unsets the value of the given feature of the owner.

  Specified by:
    `dynamicUnset` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### dynamicIsSet

    public boolean dynamicIsSet(InternalEObject owner,
                                EStructuralFeature.Internal.DynamicValueHolder settings,
                                int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns whether the feature of the owner is considered to be set.

  Specified by:
    `dynamicIsSet` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  Returns:
    whether the feature of the owner is considered to be set.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### dynamicInverseAdd

    public NotificationChain dynamicInverseAdd(InternalEObject owner,
                                               EStructuralFeature.Internal.DynamicValueHolder settings,
                                               int index,
                                               InternalEObject otherEnd,
                                               NotificationChain notifications)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Adds the object at the other end of a bidirectional reference to the appropriate feature and returns accumulated notifications.

  Specified by:
    `dynamicInverseAdd` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse add.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseAdd(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

### dynamicInverseRemove

    public NotificationChain dynamicInverseRemove(InternalEObject owner,
                                                  EStructuralFeature.Internal.DynamicValueHolder settings,
                                                  int index,
                                                  InternalEObject otherEnd,
                                                  NotificationChain notifications)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Removes the object at the other end of a bidirectional reference from the appropriate feature and returns accumulated notifications.

  Specified by:
    `dynamicInverseRemove` in interface `EStructuralFeature.Internal.SettingDelegate`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `otherEnd` - the object to inverse remove.
    `notifications` - the incoming accumulated notifications.
  Returns:
    accumulated notifications.
  See Also:
    `InternalEObject.eInverseRemove(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class<?>, org.eclipse.emf.common.notify.NotificationChain)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.